commit:     d8e81594ef661364abea9fe5362e7a74d830f7f4
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  1 10:43:56 2020 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Wed Jul  1 10:47:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8e81594

dev-perl/Crypt-Eksblowfish: -r bump for EAPI7 and fixes

- EAPI7
- Parallel Tests
  - Ensure CFLAGS turn up in build process

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 .../Crypt-Eksblowfish-0.9.0-r3.ebuild              | 36 ++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-perl/Crypt-Eksblowfish/Crypt-Eksblowfish-0.9.0-r3.ebuild 
b/dev-perl/Crypt-Eksblowfish/Crypt-Eksblowfish-0.9.0-r3.ebuild
new file mode 100644
index 00000000000..d66aea6f6c2
--- /dev/null
+++ b/dev-perl/Crypt-Eksblowfish/Crypt-Eksblowfish-0.9.0-r3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=ZEFRAM
+DIST_VERSION=0.009
+inherit perl-module
+
+DESCRIPTION="the Eksblowfish block cipher"
+
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+RDEPEND="
+       virtual/perl-Carp
+       >=dev-perl/Class-Mix-0.1.0
+       virtual/perl-Exporter
+       >=virtual/perl-MIME-Base64-2.210.0
+       virtual/perl-XSLoader
+       virtual/perl-parent
+"
+DEPEND="
+       dev-perl/Module-Build
+"
+BDEPEND="${RDEPEND}
+       dev-perl/Module-Build
+       >=virtual/perl-ExtUtils-CBuilder-0.15
+       test? (
+               virtual/perl-Test-Simple
+       )
+"
+src_compile() {
+       ./Build --config optimize="${CFLAGS}" build || die
+}

Reply via email to